Built LMS Help Center
API Reference and PlaygroundCourses and CatalogCategories

GET List categories

Retrieve all categories with optional tree structure for nested categories

GET
/categories

Retrieve all categories with optional tree structure for nested categories

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Query Parameters

tree?boolean

Return categories as hierarchical tree structure

Defaultfalse

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/categories"
{  "data": [    {      "id": "{id}",      "name": "string",      "slug": "string",      "parent_id": "{parent_id}",      "course_count": 0,      "created_at": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "organization_id": "{organization_id}",    "total": 0,    "total_count": 0,    "limit": 0,    "offset": 0,    "has_more": true,    "requested_at": "2019-08-24T14:15:22Z"  }}